/*
  Minimal Over-the-air (OTA) example. Does nothing except allowing the update.
  Update requires a password. 
*/

#include <ESP8266WiFi.h>
#include <ArduinoOTA.h>

const char* ssid = "your network ssid";
const char* sspassword = "your network password";
const char* myname = "your controller hostname";
const char *esp_passwd = "OTA update password" ;

void setup() {
 
  WiFi.hostname( myname ) ;
  WiFi.mode( WIFI_STA ) ;
  WiFi.begin( ssid, sspassword ) ;
  
  while ( WiFi.status() != WL_CONNECTED ) {
    delay( 500 ) ;
  }

  ArduinoOTA.setHostname( myname ) ;
  ArduinoOTA.setPassword( esp_passwd ) ;
  ArduinoOTA.begin();
  
}

// the loop function runs over and over again forever
void loop() {
  
  ArduinoOTA.handle();
}
